/**
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.activemq.transport.openwire;

import EDU.oswego.cs.dl.util.concurrent.PooledExecutor;
import org.activemq.transport.openwire.io.OpenWireFormat;
import org.activemq.transport.tcp.TcpTransportChannel;
import org.activemq.transport.tcp.TcpTransportServerChannel;

import javax.jms.JMSException;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.URI;

/**
 * An OpenWire server connector
 *
 * @version $Revision: 1.1.1.1 $
 */
public class OpenWireTransportServerChannel extends TcpTransportServerChannel implements Runnable {

    public OpenWireTransportServerChannel(URI bindAddr) throws JMSException {
        super(new OpenWireFormat(), bindAddr);
    }

    public OpenWireTransportServerChannel(ServerSocket serverSocket) throws JMSException {
        super(new OpenWireFormat(), serverSocket);
    }

    protected TcpTransportChannel createTransportChannel(Socket socket, PooledExecutor executor) throws JMSException {
        return new OpenWireTransportChannel(socket, executor);
    }

    public String toString() {
        return "OpenWireTransportServerChannel@" + getUrl();
    }
}