/**
 * Marshalling code for Open Wire Format for Receipt
 *
 *
 * NOTE!: This file is autogenerated - do not modify!
 *        if you need to make a change, please see the Groovy scripts in the
 *        activemq-openwire module
 */

package org.activemq.transport.openwire.io;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

import org.activemq.message.*;
import org.activemq.io.*;
import org.activemq.io.impl.*;
import org.activemq.transport.openwire.OpenWirePacketMarshallerSupport;

/**
 * AUTOGENERATED Marshaller for OpenWire command Receipt
 *
 * @version $Revision: 1.1 $
 */
public class ReceiptMarshaller extends OpenWirePacketMarshallerSupport {

    /**
     * Return the type of Packet
     *
     * @return integer representation of the type of Packet
     */
    public int getPacketType() {
        return 8;
    }

    /**
     * @return a new Packet instance
     */
    public Packet createPacket() {
        return new Receipt();
    }

    /**
     * build a Packet instance from the data input stream
     *
     * @param packet A Packet object
     * @param dataIn the data input stream to build the packet from
     * @throws IOException
     */
    public void buildPacket(Packet packet, DataInput dataIn) throws IOException {
        super.buildPacket(packet, dataIn);
        Receipt info = (Receipt) packet;
        info.setCorrelationId(dataIn.readShort());
        info.setFailed(dataIn.readBoolean());
        info.setBrokerMessageCapacity(dataIn.readInt());
        info.setBrokerName(readString(dataIn));
        info.setClusterName(readString(dataIn));
        info.setExceptionAsString(readString(dataIn));

    }

    /**
     * Write a Packet instance to data output stream
     *
     * @param packet  the instance to be seralized
     * @param dataOut the output stream
     * @throws IOException thrown if an error occurs
     */
    public void writePacket(Packet packet, DataOutput dataOut) throws IOException {
        super.writePacket(packet, dataOut);
        Receipt info = (Receipt) packet;
        dataOut.writeShort(info.getCorrelationId());
        dataOut.writeBoolean(info.isFailed());
        dataOut.writeInt(info.getBrokerMessageCapacity());
        writeString(info.getBrokerName(), dataOut);
        writeString(info.getClusterName(), dataOut);
        writeString(info.getExceptionAsString(), dataOut);

    }
}
