/**
* Test case for the marshalling code for Open Wire Format for MessageAck
*
*
* NOTE!: This file is autogenerated - do not modify!
*        if you need to make a change, please see the Groovy scripts in the
*        activemq-openwire module
*/

package org.activemq.transport.openwire.io;

import org.activemq.io.impl.AbstractPacketMarshaller;
import org.activemq.message.*;
import org.activemq.message.Packet;
import org.activemq.transport.openwire.PacketMarshallerTestSupport;

/**
 * AUTOGENERATED test case for OpenWire command MessageAck

 * @version $Revision: 1.1 $
 */
public class MessageAckMarshallerTest extends PacketMarshallerTestSupport {

    /**
     * @return a newly created marshaller
     */
    protected AbstractPacketMarshaller createMarshaller() {
        return new MessageAckMarshaller();
    }


    /**
     * configures the packet with some test data
     */
    protected void populatePacket(Packet packet) throws Exception {
        super.populatePacket(packet);
        MessageAck info = (MessageAck) packet;

        info.setMessageID("TestString13");
        info.setMessageRead(false);
        info.setConsumerId("TestString15");
        info.setDestination(new ActiveMQQueue("TEST.FOO.BAR.16"));
        info.setPersistent(true);
        info.setExpired(false);
        info.setProducerKey("TestString19");
        info.setSequenceNumber((long) 20);
        info.setSessionId((short) 21);
        info.setExternalMessageId(false);
        info.setTransactionIDString("TestString23");
   }

    /**
     * Asserts that the read packet has the correct values
     */
    protected void assertPacketValid(Packet packet) throws Exception {
        super.assertPacketValid(packet);
        MessageAck info = (MessageAck) packet;
        
        assertEquals("property MessageID", "TestString13", info.getMessageID());
        assertEquals("property MessageRead", false, info.isMessageRead());
        assertEquals("property ConsumerId", "TestString15", info.getConsumerId());
        assertEquals("property Destination", new ActiveMQQueue("TEST.FOO.BAR.16"), info.getDestination());
        assertEquals("property Persistent", true, info.isPersistent());
        assertEquals("property Expired", false, info.isExpired());
        assertEquals("property ProducerKey", "TestString19", info.getProducerKey());
        assertEquals("property SequenceNumber", (long) 20, info.getSequenceNumber());
        assertEquals("property SessionId", (short) 21, info.getSessionId());
        assertEquals("property ExternalMessageId", false, info.isExternalMessageId());
        assertEquals("property TransactionIDString", "TestString23", info.getTransactionIDString());
    }
}
